[ Avaa Bypassed ]




Upload:

Command:

www-data@18.188.66.142: ~ $
#!/bin/bash
# Copyright (C) 1996-2022 Free Software Foundation, Inc.
# This file is part of the GNU C Library.

# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# The GNU C Library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with the GNU C Library; if not, see
# <https://www.gnu.org/licenses/>.


# This is the `ldd' command, which lists what shared libraries are
# used by given dynamically-linked executables.  It works by invoking the
# run-time dynamic linker as a command and setting the environment
# variable LD_TRACE_LOADED_OBJECTS to a non-empty value.

# We should be able to find the translation right at the beginning.
TEXTDOMAIN=libc
TEXTDOMAINDIR=/usr/share/locale

RTLDLIST="/lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2 /libx32/ld-linux-x32.so.2"
warn=
bind_now=
verbose=

while test $# -gt 0; do
  case "$1" in
  --vers | --versi | --versio | --version)
    echo 'ldd (Ubuntu GLIBC 2.35-0ubuntu3.6) 2.35'
    printf $"Copyright (C) %s Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
" "2022"
    printf $"Written by %s and %s.
" "Roland McGrath" "Ulrich Drepper"
    exit 0
    ;;
  --h | --he | --hel | --help)
    echo $"Usage: ldd [OPTION]... FILE...
      --help              print this help and exit
      --version           print version information and exit
  -d, --data-relocs       process data relocations
  -r, --function-relocs   process data and function relocations
  -u, --unused            print unused direct dependencies
  -v, --verbose           print all information
"
    printf $"For bug reporting instructions, please see:\\n%s.\\n" \
      "<https://bugs.launchpad.net/ubuntu/+source/glibc/+bugs>"
    exit 0
    ;;
  -d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \
  --data-rel | --data-relo | --data-reloc | --data-relocs)
    warn=yes
    shift
    ;;
  -r | --f | --fu | --fun | --func | --funct | --functi | --functio | \
  --function | --function- | --function-r | --function-re | --function-rel | \
  --function-relo | --function-reloc | --function-relocs)
    warn=yes
    bind_now=yes
    shift
    ;;
  -v | --verb | --verbo | --verbos | --verbose)
    verbose=yes
    shift
    ;;
  -u | --u | --un | --unu | --unus | --unuse | --unused)
    unused=yes
    shift
    ;;
  --v | --ve | --ver)
    echo >&2 $"ldd: option \`$1' is ambiguous"
    exit 1
    ;;
  --)		# Stop option processing.
    shift; break
    ;;
  -*)
    echo >&2 'ldd:' $"unrecognized option" "\`$1'"
    echo >&2 $"Try \`ldd --help' for more information."
    exit 1
    ;;
  *)
    break
    ;;
  esac
done

nonelf ()
{
  # Maybe extra code for non-ELF binaries.
  return 1;
}

add_env="LD_TRACE_LOADED_OBJECTS=1 LD_WARN=$warn LD_BIND_NOW=$bind_now"
add_env="$add_env LD_LIBRARY_VERSION=\$verify_out"
add_env="$add_env LD_VERBOSE=$verbose"
if test "$unused" = yes; then
  add_env="$add_env LD_DEBUG=\"$LD_DEBUG${LD_DEBUG:+,}unused\""
fi

# The following command substitution is needed to make ldd work in SELinux
# environments where the RTLD might not have permission to write to the
# terminal.  The extra "x" character prevents the shell from trimming trailing
# newlines from command substitution results.  This function is defined as a
# subshell compound list (using "(...)") to prevent parameter assignments from
# affecting the calling shell execution environment.
try_trace() (
  output=$(eval $add_env '"$@"' 2>&1; rc=$?; printf 'x'; exit $rc)
  rc=$?
  printf '%s' "${output%x}"
  return $rc
)

case $# in
0)
  echo >&2 'ldd:' $"missing file arguments"
  echo >&2 $"Try \`ldd --help' for more information."
  exit 1
  ;;
1)
  single_file=t
  ;;
*)
  single_file=f
  ;;
esac

result=0
for file do
  # We don't list the file name when there is only one.
  test $single_file = t || echo "${file}:"
  case $file in
  */*) :
       ;;
  *) file=./$file
     ;;
  esac
  if test ! -e "$file"; then
    echo "ldd: ${file}:" $"No such file or directory" >&2
    result=1
  elif test ! -f "$file"; then
    echo "ldd: ${file}:" $"not regular file" >&2
    result=1
  elif test -r "$file"; then
    RTLD=
    ret=1
    for rtld in ${RTLDLIST}; do
      if test -x $rtld; then
	dummy=`$rtld --help > /dev/null 2>&1` 
	if test $? = 0; then
	  verify_out=`${rtld} --verify "$file"`
	  ret=$?
	  case $ret in
	  [02]) RTLD=${rtld}; break;;
	  esac
	fi
      fi
    done
    case $ret in
    1)
      # This can be a non-ELF binary or no binary at all.
      nonelf "$file" || {
	echo $"	not a dynamic executable" >&2
	result=1
      }
      ;;
    0|2)
      try_trace "$RTLD" "$file" || result=1
      ;;
    *)
      echo 'ldd:' ${RTLD} $"exited with unknown exit code" "($ret)" >&2
      exit 1
      ;;
    esac
  else
    echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2
    result=1
  fi
done

exit $result
# Local Variables:
#  mode:ksh
# End:

Filemanager

Name Type Size Permission Actions
X11 Folder 0755
File 0 B 0
appstream-compose File 26.3 KB 0755
appstream-util File 98.3 KB 0755
appstreamcli File 118.23 KB 0755
File 0 B 0
File 0 B 0
broadwayd File 130.21 KB 0755
bwrap File 70.47 KB 0755
File 0 B 0
c89-gcc File 428 B 0755
c99-gcc File 454 B 0755
cairo-trace File 2.95 KB 0755
canberra-gtk-play File 18.2 KB 0755
corelist File 15.01 KB 0755
cpan File 8.16 KB 0755
cpan5.34-x86_64-linux-gnu File 8.18 KB 0755
File 0 B 0
File 0 B 0
curl-config File 6.52 KB 0755
dazzle-list-counters File 14.13 KB 0755
derb File 26.88 KB 0755
desktop-file-edit File 96.44 KB 0755
desktop-file-install File 96.44 KB 0755
desktop-file-validate File 76.69 KB 0755
dh_girepository File 12.88 KB 0755
dumpsexp File 18.3 KB 0755
File 0 B 0
File 0 B 0
enc2xs File 40.84 KB 0755
encguess File 3.01 KB 0755
envsubst File 34.38 KB 0755
fc-cache File 22.23 KB 0755
fc-cat File 18.23 KB 0755
fc-conflist File 14.23 KB 0755
fc-list File 14.23 KB 0755
fc-match File 14.23 KB 0755
fc-pattern File 14.23 KB 0755
fc-query File 14.23 KB 0755
fc-scan File 14.23 KB 0755
fc-validate File 14.23 KB 0755
fribidi File 26.99 KB 0755
gapplication File 22.21 KB 0755
File 0 B 0
File 0 B 0
File 0 B 0
File 0 B 0
File 0 B 0
File 0 B 0
gdbus File 54.21 KB 0755
gdbus-codegen File 1.99 KB 0755
gdk-pixbuf-csource File 14.15 KB 0755
gdk-pixbuf-pixdata File 14.13 KB 0755
gdk-pixbuf-thumbnailer File 18.21 KB 0755
genbrk File 14.78 KB 0755
gencat File 26.37 KB 0755
gencfu File 14.73 KB 0755
gencnval File 26.61 KB 0755
gendict File 26.78 KB 0755
genrb File 147.91 KB 0755
getconf File 34.29 KB 0755
getent File 38.65 KB 0755
gettext File 34.38 KB 0755
gettext.sh File 5.07 KB 0755
gettextize File 41.28 KB 0755
gio File 102.23 KB 0755
gio-querymodules File 18.13 KB 0755
gjs File 26.7 KB 0755
gjs-console File 26.7 KB 0755
glib-compile-schemas File 66.21 KB 0755
File 0 B 0
gobject-query File 14.14 KB 0755
File 0 B 0
gpg-error-config File 2.04 KB 0755
gpgrt-config File 13.11 KB 0755
File 0 B 0
gresource File 26.13 KB 0755
gsettings File 30.21 KB 0755
gsound-play File 18.21 KB 0755
gtk-encode-symbolic-svg File 22.24 KB 0755
gtk-launch File 18.29 KB 0755
gtk-query-settings File 14.13 KB 0755
gtk-update-icon-cache File 38.57 KB 0755
gtk4-broadwayd File 150.22 KB 0755
gtk4-encode-symbolic-svg File 8.58 MB 0755
gtk4-launch File 18.29 KB 0755
gtk4-query-settings File 14.13 KB 0755
gtk4-rendernode-tool File 30.13 KB 0755
hb-info File 54.21 KB 0755
hb-ot-shape-closure File 46.21 KB 0755
hb-shape File 50.21 KB 0755
hb-subset File 46.18 KB 0755
hb-view File 82.35 KB 0755
hmac256 File 18.7 KB 0755
iconv File 66.41 KB 0755
icuexportdata File 30.98 KB 0755
icuinfo File 14.62 KB 0755
instmodsh File 4.27 KB 0755
ispell-wrapper File 7.05 KB 0755
itstool File 67.8 KB 0755
js102 File 28.97 MB 0755
js102-config File 2.03 KB 0755
json-glib-format File 18.38 KB 0755
json-glib-validate File 14.24 KB 0755
json_pp File 4.88 KB 0755
File 0 B 0
File 0 B 0
File 0 B 0
ldd File 5.32 KB 0755
libgcrypt-config File 4.52 KB 0755
libinput File 62.35 KB 0755
libnetcfg File 15.41 KB 0755
libpng-config File 2.41 KB 0755
libpng16-config File 2.41 KB 0755
libtool File 365.84 KB 0755
libtoolize File 133.57 KB 0755
libwacom-list-devices File 14.24 KB 0755
libwacom-list-local-devices File 18.29 KB 0755
libwacom-show-stylus File 5.99 KB 0755
libwacom-update-db File 8.99 KB 0755
locale File 57.56 KB 0755
localedef File 326.96 KB 0755
File 0 B 0
lzmainfo File 14.23 KB 0755
makeconv File 50.89 KB 0755
mako-render File 961 B 0755
markdown_py File 973 B 0755
mpicalc File 22.3 KB 0755
msgattrib File 26.38 KB 0755
msgcat File 26.38 KB 0755
msgcmp File 26.38 KB 0755
msgcomm File 26.38 KB 0755
msgconv File 22.38 KB 0755
msgen File 22.38 KB 0755
msgexec File 22.38 KB 0755
msgfilter File 34.38 KB 0755
msgfmt File 82.59 KB 0755
msggrep File 114.46 KB 0755
msginit File 66.39 KB 0755
msgmerge File 74.41 KB 0755
msgunfmt File 34.39 KB 0755
msguniq File 22.38 KB 0755
ngettext File 34.38 KB 0755
nspr-config File 2.58 KB 0755
nss-config File 2.31 KB 0755
p11-kit File 170.45 KB 0755
pango-list File 18.13 KB 0755
pango-segmentation File 18.21 KB 0755
pango-view File 66.42 KB 0755
pcre-config File 2.29 KB 0755
pcre2-config File 1.93 KB 0755
pdfattach File 22.21 KB 0755
pdfdetach File 26.32 KB 0755
pdffonts File 22.33 KB 0755
pdfimages File 42.33 KB 0755
pdfinfo File 62.33 KB 0755
pdfseparate File 22.21 KB 0755
pdfsig File 42.6 KB 0755
pdftocairo File 190.3 KB 0755
pdftohtml File 118.23 KB 0755
pdftoppm File 34.24 KB 0755
pdftops File 34.34 KB 0755
pdftotext File 50.34 KB 0755
pdfunite File 34.21 KB 0755
perl5.34-x86_64-linux-gnu File 14.3 KB 0755
perlbug File 44.12 KB 0755
perldoc File 125 B 0755
perlivp File 10.61 KB 0755
perlthanks File 44.12 KB 0755
piconv File 8.16 KB 0755
pip File 225 B 0755
pip3 File 225 B 0755
pip3.10 File 225 B 0755
pipewire File 14.38 KB 0755
pkgdata File 43.53 KB 0755
pldd File 22.37 KB 0755
pod2html File 4.04 KB 0755
pod2man File 14.68 KB 0755
pod2text File 10.55 KB 0755
pod2usage File 4.01 KB 0755
podchecker File 3.57 KB 0755
psl File 22.16 KB 0755
psl-make-dafsa File 22.21 KB 0755
ptar File 3.48 KB 0755
ptardiff File 2.58 KB 0755
ptargrep File 4.29 KB 0755
pw-cat File 138.38 KB 0755
pw-cli File 134.38 KB 0755
pw-dot File 34.38 KB 0755
pw-dsdplay File 138.38 KB 0755
pw-dump File 94.38 KB 0755
pw-link File 30.38 KB 0755
pw-loopback File 18.38 KB 0755
pw-metadata File 14.38 KB 0755
pw-mididump File 34.38 KB 0755
pw-midiplay File 138.38 KB 0755
pw-midirecord File 138.38 KB 0755
pw-mon File 90.42 KB 0755
pw-play File 138.38 KB 0755
pw-profiler File 26.38 KB 0755
pw-record File 138.38 KB 0755
pw-reserve File 26.38 KB 0755
pw-top File 30.38 KB 0755
pw-v4l2 File 1.95 KB 0755
py3compile File 12.88 KB 0755
py3versions File 11.63 KB 0755
python3.10 File 5.63 MB 0755
recode-sr-latin File 14.38 KB 0755
rsvg-convert File 5.53 MB 0755
secret-tool File 22.21 KB 0755
select-default-iwrap File 474 B 0755
session-migration File 22.15 KB 0755
shasum File 9.75 KB 0755
spa-acp-tool File 268.12 KB 0755
spa-inspect File 78.48 KB 0755
spa-json-dump File 14.3 KB 0755
spa-monitor File 14.48 KB 0755
spa-resample File 30.6 KB 0755
splain File 18.96 KB 0755
streamzip File 7.75 KB 0755
tzselect File 15.02 KB 0755
uconv File 54.83 KB 0755
unxz File 82.52 KB 0755
update-desktop-database File 22.38 KB 0755
update-mime-database File 58.23 KB 0755
xdg-dbus-proxy File 50.14 KB 0755
xdg-user-dir File 234 B 0755
xdg-user-dirs-update File 26.23 KB 0755
xml2-config File 1.44 KB 0755
xmlcatalog File 22.3 KB 0755
xmllint File 78.95 KB 0755
xz File 82.52 KB 0755
xzcat File 82.52 KB 0755
xzcmp File 6.86 KB 0755
xzdiff File 6.86 KB 0755
xzegrep File 5.87 KB 0755
xzfgrep File 5.87 KB 0755
xzgrep File 5.87 KB 0755
xzless File 1.76 KB 0755
xzmore File 2.11 KB 0755
zdump File 26.21 KB 0755
zipdetails File 58.66 KB 0755